> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update member settings

> Update the settings for a member



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml patch /v1/members/{memberId}/settings
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/members/{memberId}/settings:
    patch:
      tags:
        - Member Settings
      summary: Update member settings
      description: Update the settings for a member
      operationId: MemberSettingsController_update
      parameters:
        - name: memberId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberSettingsUpdateParams'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberSettings'
components:
  schemas:
    MemberSettingsUpdateParams:
      type: object
      properties:
        showPlanHelp:
          type: boolean
    MemberSettings:
      type: object
      properties:
        showPlanHelp:
          type: boolean

````